Bug 601036 - Review Request: perl-MooseX-LazyRequire - Required attributes which fail only when trying to use them
Summary: Review Request: perl-MooseX-LazyRequire - Required attributes which fail only...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/MooseX-La...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-07 03:44 UTC by Iain Arnell
Modified: 2013-05-10 12:53 UTC (History)
3 users (show)

Fixed In Version: perl-MooseX-LazyRequire-0.05-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 13:04:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-06-07 03:44:24 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-LazyRequire.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-LazyRequire-0.05-1.fc14.src.rpm

Description:
This module adds a lazy_required option to Moose attribute declarations.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2234591

*rt-0.10_01

Comment 1 Chris Weyl 2010-06-07 17:11:18 UTC
Looks good!

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2234591

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Latest version (0.05) is being packaged.

Source tarballs match upstream (sha1sum):
b1dfa820c6413a3166ffabac62bd854f947c34d9 MooseX-LazyRequire-0.05.tar.gz
b1dfa820c6413a3166ffabac62bd854f947c34d9 MooseX-LazyRequire-0.05.tar.gz.srpm

Final provides / requires are sane:

====> rpmlint perl-MooseX-LazyRequire.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

======> perl-MooseX-LazyRequire-0.05-1.fc14.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(MooseX::LazyRequire) = 0.05
perl(MooseX::LazyRequire::Meta::Attribute::Trait::LazyRequire) = 0.05
perl-MooseX-LazyRequire = 0.05-1.fc14
====> requires
perl(:MODULE_COMPAT_5.12.0)  
perl(Carp)  
perl(Moose::Exporter)  
perl(Moose::Role)  
perl(MooseX::Types::Moose)  
perl(aliased) >= 0.30
perl(namespace::autoclean)  
====> obsoletes
====> conflicts

======> perl-MooseX-LazyRequire-0.05-1.fc14.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl(ExtUtils::MakeMaker)  
perl(Moose)  
perl(Moose::Exporter)  
perl(Moose::Role)  
perl(MooseX::Types::Moose)  
perl(Test::Exception)  
perl(Test::More) >= 0.88
perl(aliased) >= 0.30
perl(namespace::autoclean)  
====> obsoletes
====> conflicts

APPROVED

Comment 2 Iain Arnell 2010-06-07 18:16:14 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-LazyRequire
Short Description: Required attributes which fail only when trying to use them
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-06-07 21:16:35 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-06-08 03:38:41 UTC
perl-MooseX-LazyRequire-0.05-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-MooseX-LazyRequire-0.05-1.fc13

Comment 5 Fedora Update System 2010-06-08 03:38:45 UTC
perl-MooseX-LazyRequire-0.05-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-MooseX-LazyRequire-0.05-1.fc12

Comment 6 Fedora Update System 2010-06-08 19:29:46 UTC
perl-MooseX-LazyRequire-0.05-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MooseX-LazyRequire'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-MooseX-LazyRequire-0.05-1.fc13

Comment 7 Fedora Update System 2010-06-08 19:38:45 UTC
perl-MooseX-LazyRequire-0.05-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MooseX-LazyRequire'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-MooseX-LazyRequire-0.05-1.fc12

Comment 8 Fedora Update System 2010-06-21 13:04:10 UTC
perl-MooseX-LazyRequire-0.05-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-06-21 13:08:48 UTC
perl-MooseX-LazyRequire-0.05-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Andrea Veri 2013-05-10 12:33:53 UTC
Package Change Request
======================
Package Name: perl-MooseX-LazyRequire
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig

Comment 11 Gwyn Ciesla 2013-05-10 12:53:05 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.